Package org.apache.lucene.analysis.core

## Class DecimalDigitFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.TokenFilterFactory
    - - org.apache.lucene.analysis.core.DecimalDigitFilterFactory

-     public class DecimalDigitFilterFactory
      extends TokenFilterFactory

  Factory for `DecimalDigitFilter`.

       <fieldType name="text_lwrcase" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.WhitespaceTokenizerFactory"/>
           <filter class="solr.DecimalDigitFilterFactory"/>
         </analyzer>
       </fieldType>

  Since:
    5.4.0
  SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
    "decimalDigit"

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NAME` | SPI name

    - ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DecimalDigitFilterFactory()` | Default ctor for compatibility with SPI
    `DecimalDigitFilterFactory​(Map<String,​String> args)` | Creates a new DecimalDigitFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TokenStream` | `create​(TokenStream input)` |
    `TokenStream` | `normalize​(TokenStream input)` |

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

      `availableTokenFilters, findSPIName, forName, lookupClass, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

      `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      SPI name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DecimalDigitFilterFactory

          public DecimalDigitFilterFactory​(Map<String,​String> args)

      Creates a new DecimalDigitFilterFactory

    - #### DecimalDigitFilterFactory

          public DecimalDigitFilterFactory()

      Default ctor for compatibility with SPI

  - ### Method Detail

    - #### create

          public TokenStream create​(TokenStream input)

      Specified by:
        `create` in class `TokenFilterFactory`

    - #### normalize

          public TokenStream normalize​(TokenStream input)

      Overrides:
        `normalize` in class `TokenFilterFactory`